
const OracleService = require('../service/OracleService')

class adqVerifConsumidorModel {
    constructor() {
        this.GET_ADQVERIFCONSUMIDOR = `
            SELECT
                CDCLIENTE, CDCONSUMIDOR, DTULTATUCSUM
            FROM
               CONSUMIDOR
            WHERE
                CDCLIENTE    = :P_CDCLIENTE
            AND CDCONSUMIDOR = :P_CDCONSUMIDOR
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFCONSUMIDOR, params);
        })
    }
}  

module.exports = new adqVerifConsumidorModel();