const OracleService = require('../service/OracleService');

class adqVerifTotalDiaCaixaSincModel {
  constructor() {
    this.GET_ADQVERIFTOTALDIACAIXASINC = `
            SELECT *
              FROM TOTALDIACAIXA
             WHERE CDFILIAL = :P_CDFILIAL
               AND CDCAIXA = :P_CDCAIXA
               AND DTTOTAL = TIMESTAMP :P_DTTOTAL
               AND IDIMPTOTDIACAIXA = 'S'
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ADQVERIFTOTALDIACAIXASINC, params);
    });
  }
}

module.exports = new adqVerifTotalDiaCaixaSincModel();
